% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/00tabletrees.R
\docType{class}
\name{InstantiatedColumnInfo-class}
\alias{InstantiatedColumnInfo-class}
\alias{InstantiatedColumnInfo}
\title{Instantiated column info}
\usage{
InstantiatedColumnInfo(
  treelyt = LayoutColTree(colcount = total_cnt),
  csubs = list(expression(TRUE)),
  extras = list(list()),
  cnts = NA_integer_,
  total_cnt = NA_integer_,
  dispcounts = FALSE,
  countformat = "(N=xx)",
  count_na_str = "",
  topleft = character()
)
}
\arguments{
\item{treelyt}{(\code{LayoutColTree})\cr a \code{LayoutColTree} object.}

\item{csubs}{(\code{list})\cr a list of subsetting expressions.}

\item{extras}{(\code{list})\cr extra arguments associated with the columns.}

\item{cnts}{(\code{integer})\cr counts.}

\item{total_cnt}{(\code{integer(1)})\cr total observations represented across all columns.}

\item{dispcounts}{(\code{flag})\cr whether the counts should be displayed as header info when the associated
table is printed.}

\item{countformat}{(\code{string})\cr format for the counts if they are displayed.}

\item{count_na_str}{(\code{character})\cr string to use in place of missing values when formatting counts. Defaults
to \code{""}.}

\item{topleft}{(\code{character})\cr override values for the "top left" material to be displayed during printing.}
}
\value{
An \code{InstantiateadColumnInfo} object.
}
\description{
Instantiated column info
}
