% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/colby_constructors.R
\name{manual_cols}
\alias{manual_cols}
\title{Manual column declaration}
\usage{
manual_cols(..., .lst = list(...), ccount_format = NULL)
}
\arguments{
\item{...}{one or more vectors of levels to appear in the column space. If more than one set of levels is given,
the values of the second are nested within each value of the first, and so on.}

\item{.lst}{(\code{list})\cr a list of sets of levels, by default populated via \code{list(...)}.}

\item{ccount_format}{(\code{FormatSpec})\cr the format to use when counts are displayed.}
}
\value{
An \code{InstantiatedColumnInfo} object, suitable for declaring the column structure for a manually constructed
table.
}
\description{
Manual column declaration
}
\examples{
# simple one level column space
rows <- lapply(1:5, function(i) {
  DataRow(rep(i, times = 3))
})
tbl <- TableTree(kids = rows, cinfo = manual_cols(split = c("a", "b", "c")))
tbl

# manually declared nesting
tbl2 <- TableTree(
  kids = list(DataRow(as.list(1:4))),
  cinfo = manual_cols(
    Arm = c("Arm A", "Arm B"),
    Gender = c("M", "F")
  )
)
tbl2

}
\author{
Gabriel Becker
}
