% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tt_afun_utils.R
\name{rcell}
\alias{rcell}
\alias{non_ref_rcell}
\title{Cell value constructors}
\usage{
rcell(
  x,
  format = NULL,
  colspan = 1L,
  label = NULL,
  indent_mod = NULL,
  footnotes = NULL,
  align = NULL,
  format_na_str = NULL
)

non_ref_rcell(
  x,
  is_ref,
  format = NULL,
  colspan = 1L,
  label = NULL,
  indent_mod = NULL,
  refval = NULL,
  align = "center",
  format_na_str = NULL
)
}
\arguments{
\item{x}{(\code{ANY})\cr cell value.}

\item{format}{(\code{string} or \code{function})\cr the format label (string) or \code{formatters} function to apply to \code{x}.
See \code{\link[formatters:list_formats]{formatters::list_valid_format_labels()}} for currently supported format labels.}

\item{colspan}{(\code{integer(1)})\cr column span value.}

\item{label}{(\code{string} or \code{NULL})\cr label. If non-\code{NULL}, it will be looked at when determining row labels.}

\item{indent_mod}{(\code{numeric})\cr modifier for the default indent position for the structure created by this
function (subtable, content table, or row) \emph{and all of that structure's children}. Defaults to 0, which
corresponds to the unmodified default behavior.}

\item{footnotes}{(\code{list} or \code{NULL})\cr referential footnote messages for the cell.}

\item{align}{(\code{string} or \code{NULL})\cr alignment the value should be rendered with. Defaults to \code{"center"} if
\code{NULL} is used. See \code{\link[formatters:list_formats]{formatters::list_valid_aligns()}} for all currently supported alignments.}

\item{format_na_str}{(\code{string})\cr string which should be displayed when formatted if this cell's value(s)
are all \code{NA}.}

\item{is_ref}{(\code{flag})\cr whether function is being used in the reference column (i.e. \code{.in_ref_col} should be
passed to this argument).}

\item{refval}{(\code{ANY})\cr value to use when in the reference column. Defaults to \code{NULL}.}
}
\value{
An object representing the value within a single cell within a populated table. The underlying structure
of this object is an implementation detail and should not be relied upon beyond calling accessors for the class.
}
\description{
Construct a cell value and associate formatting, labeling, indenting, and column spanning information with it.
}
\details{
\code{non_ref_rcell} provides the common \emph{blank for cells in the reference column, this value otherwise}, and should
be passed the value of \code{.in_ref_col} when it is used.
}
\note{
Currently column spanning is only supported for defining header structure.
}
