% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/package.R
\docType{package}
\name{rtables-package}
\alias{rtables}
\alias{rtables-package}
\title{rtables: Reporting Tables}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Reporting tables often have structure that goes beyond simple rectangular data. The 'rtables' package provides a framework for declaring complex multi-level tabulations and then applying them to data. This framework models both tabulation and the resulting tables as hierarchical, tree-like objects which support sibling sub-tables, arbitrary splitting or grouping of data in row and column dimensions, cells containing multiple values, and the concept of contextual summary computations. A convenient pipe-able interface is provided for declaring table layouts and the corresponding computations, and then applying them to data.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/insightsengineering/rtables}
  \item \url{https://insightsengineering.github.io/rtables/}
  \item Report bugs at \url{https://github.com/insightsengineering/rtables/issues}
}

}
\author{
\strong{Maintainer}: Joe Zhu \email{joe.zhu@roche.com} [contributor]

Authors:
\itemize{
  \item Gabriel Becker \email{gabembecker@gmail.com} (Original creator of the package)
  \item Adrian Waddell \email{adrian.waddell@gene.com}
}

Other contributors:
\itemize{
  \item Daniel Sabanés Bové \email{daniel.sabanes_bove@roche.com} [contributor]
  \item Maximilian Mordig \email{maximilian_oliver.mordig@roche.com} [contributor]
  \item Davide Garolini \email{davide.garolini@roche.com} [contributor]
  \item Emily de la Rua \email{emily.de_la_rua@contractors.roche.com} [contributor]
  \item Abinaya Yogasekaram \email{abinaya.yogasekaram@contractors.roche.com} [contributor]
  \item F. Hoffmann-La Roche AG [copyright holder, funder]
}

}
\keyword{internal}
